Subject: Re: gitweb bug: broken "next" and other links

From: Jakub Narebski <[email-masked]>
Date: Tue, 12 Feb 2008 14:10:57 +0100

Dnia wtorek 12. lutego 2008 13:24, Wincent Colaiuta napisał:
> El 11/2/2008, a las 16:30, Jakub Narebski escribió:
>>
>> I'm sorry. You are right. I haven't seen breakage because it shows
>> only when you use 'pathinfo' feature and pathinfo URLs.
>>
>> Below there is a fix for that; actully only second part mentioned
>> (and first in patch) is needed, i.e. moving setting $params{'project'}
>> before dealing with -replay is needed I think to fix this bug.
>>
>> Could you test it please?
> 
> Your patch fixes the "next" links in the shortlog and log views.
> 
> It doesn't fix the broken "raw" links in the commitdiff view. I'm  
> still seeing links like:
> 
> http://example.com/ARRAY(0x8c97f64)?a=commitdiff_plain;h=f29d56269a1c3bd4a970897397470f41553a64f9

Could yu please give an URL for the page containing broken
link, relevant parts of gitweb configuration (gitweb_config.perl),
and gitweb parts of repository configuration, if there are any?

This would help in reproducing this bug, and correcting it.
-- 
Jakub Narebski
Poland